View Issue Details

IDProjectCategoryView StatusLast Update
0034934FPCDocumentationpublic2019-01-26 10:05
ReporterKai BurghardtAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSGNU/LinuxOS Version4.2.0
Product Version3.0.4Product Build 
Target Version3.2.0Fixed in Version3.3.1 
Summary0034934: programmer's guide, appendix A, § “reading ppufiles” shows unfunctional example
Descriptiontppufile does not know the constructor init and destructor done (anymore)
Additional InformationNeither can I find a definition for pppufile.
Tagsdocumentation
Fixed in Revision1545
FPCOldBugId
FPCTarget
Attached Files

Activities

Marco van de Voort

2019-01-23 20:38

manager   ~0113600

The paragraph before says the docs are about unit ppu. Do you use unit ppu?

Kai Burghardt

2019-01-24 05:27

reporter   ~0113607

Err, ... yeas? Isn't it
https://svn.freepascal.org/cgi-bin/viewvc.cgi/trunk/compiler/ppu.pas is it?

Marco van de Voort

2019-01-25 10:36

manager   ~0113613

Yeah, seems ppu is not delivered precompiled. Some of that could be noted in the text.

Kai Burghardt

2019-01-25 19:16

reporter   ~0113620

Uhm, isn't this correct? I thought only what resides in rtl/ and packages/ should be destributed pre-compiled. What is the "regular" user supposed to do with all the compiler/ units?

Michael Van Canneyt

2019-01-26 10:05

administrator   ~0113631

Fixed the example source code.
It stems from the days TP objects were used in the compiler, now they use classes.

Issue History

Date Modified Username Field Change
2019-01-23 19:45 Kai Burghardt New Issue
2019-01-23 19:45 Kai Burghardt Status new => assigned
2019-01-23 19:45 Kai Burghardt Assigned To => Michael Van Canneyt
2019-01-23 19:46 Kai Burghardt Tag Attached: documentation
2019-01-23 20:38 Marco van de Voort Note Added: 0113600
2019-01-23 20:38 Marco van de Voort Status assigned => feedback
2019-01-24 05:27 Kai Burghardt Note Added: 0113607
2019-01-24 05:27 Kai Burghardt Status feedback => assigned
2019-01-25 10:36 Marco van de Voort Note Added: 0113613
2019-01-25 19:16 Kai Burghardt Note Added: 0113620
2019-01-26 10:05 Michael Van Canneyt Fixed in Revision => 1545
2019-01-26 10:05 Michael Van Canneyt Note Added: 0113631
2019-01-26 10:05 Michael Van Canneyt Status assigned => resolved
2019-01-26 10:05 Michael Van Canneyt Fixed in Version => 3.3.1
2019-01-26 10:05 Michael Van Canneyt Resolution open => fixed
2019-01-26 10:05 Michael Van Canneyt Target Version => 3.2.0